#ifndef THINKPAD_NOTIFICATIONS_H_
#define THINKPAD_NOTIFICATIONS_H_

#include <stdint.h>

#define NOTIFICATION_TIMEOUT    500

struct fdfiles {
  const char* pathname;
  int fd;
  int wd;
};

struct fdselect {
  int             inotifyfd;
  int             nofd;
  fd_set          triggeredfd;  /* fd array */
  int             highestfd;    /* Highest fd */
  struct fdfiles* activefd;
};

void build_select_list();
void build_watch_list();

void show_notify_volume(gint, int);
void show_notify_brightness(gint);
int volume_stuff(int);
int brightness_stuff(int);

int fdselect_initialize();

int open_file(const char*, int);

int inotify_start();
int inotify_init_fdselect();
int inotify_add_watch_fdselect(const char*, uint32_t, int);
int inotify_get_wd();
int inotify_reset();

void signal_handler(int);

#endif /* THINKPAD_NOTIFICATIONS_H_ */
